summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author R. S. Ananda Murthy <rsamurti@gmail.com>2014-10-20 08:10:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-10-22 08:33:45 +0700
commitb22350b3076c65204052e4cd4e567ff3e065b695 (patch)
treeaf373dff43983331eacbc83587898a35b7d1611b /development
parent39b318c595638193056b16eaa4e3a64eb6086a54 (diff)
downloadslackbuilds-b22350b3076c65204052e4cd4e567ff3e065b695.tar.gz
slackbuilds-b22350b3076c65204052e4cd4e567ff3e065b695.tar.xz
development/omniORBpy: Added (A robust high-performance CORBA ORB).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/omniORBpy/README9
-rw-r--r--development/omniORBpy/doinst.sh9
-rw-r--r--development/omniORBpy/omniORBpy.SlackBuild101
-rw-r--r--development/omniORBpy/omniORBpy.info10
-rw-r--r--development/omniORBpy/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/development/omniORBpy/README b/development/omniORBpy/README
new file mode 100644
index 0000000000..1e210703c5
--- /dev/null
+++ b/development/omniORBpy/README
@@ -0,0 +1,9 @@
+omniORBpy is a robust high-performance CORBA ORB for Python.
+
+The bindings adhere to the standard IDL to Python mapping which you
+may find at
+
+http://www.omg.org/technology/documents/formal/python_language_mapping.htm
+
+omniORBpy makes use of the C++ omniORB library. omniORBpy version
+4.2.x can only be used with omniORB 4.2.x.
diff --git a/development/omniORBpy/doinst.sh b/development/omniORBpy/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/development/omniORBpy/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/omniORBpy/omniORBpy.SlackBuild b/development/omniORBpy/omniORBpy.SlackBuild
new file mode 100644
index 0000000000..c860c4bb0c
--- /dev/null
+++ b/development/omniORBpy/omniORBpy.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for omniORBpy
+
+# Copyright 2014 R. S. Ananda Murthy, Mysore, India
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=omniORBpy
+VERSION=${VERSION:-4.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+cp -a COPYING.LIB README.Python *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/omniORBpy/omniORBpy.info b/development/omniORBpy/omniORBpy.info
new file mode 100644
index 0000000000..321d9f8ad3
--- /dev/null
+++ b/development/omniORBpy/omniORBpy.info
@@ -0,0 +1,10 @@
+PRGNAM="omniORBpy"
+VERSION="4.2.0"
+HOMEPAGE="http://omniorb.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/project/omniorb/omniORBpy/omniORBpy-4.2.0/omniORBpy-4.2.0.tar.bz2"
+MD5SUM="50ecde547c865aad2074d30224779412"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="omniORB"
+MAINTAINER="R. S. Ananda Murthy"
+EMAIL="rsamurti@gmail.com"
diff --git a/development/omniORBpy/slack-desc b/development/omniORBpy/slack-desc
new file mode 100644
index 0000000000..a72a090591
--- /dev/null
+++ b/development/omniORBpy/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+omniORBpy: omniORBpy (A robust high-performance CORBA ORB for Python.)
+omniORBpy:
+omniORBpy: The bindings adhere to the standard IDL to Python mapping.
+omniORBpy: omniORBpy makes use of the C++ omniORB library. omniORBpy version
+omniORBpy: 4.2.x can only be used with omniORB 4.2.x.
+omniORBpy:
+omniORBpy:
+omniORBpy:
+omniORBpy:
+omniORBpy:
+omniORBpy: